Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040ManufacturedProduct

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040ManufacturedProductImpl

    public interface POCDMT000040ManufacturedProduct

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Manufactured Product'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Manufactured Labeled Drug`
- `Manufactured Material`
- `Manufacturer Organization`
- `Class Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040ManufacturedProduct()`

Method Summary
`RoleClassManufacturedProduct` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`org.eclipse.emf.common.util.EList` | `getId()` Returns the value of the 'Id' containment reference list.
`POCDMT000040LabeledDrug` | `getManufacturedLabeledDrug()` Returns the value of the 'Manufactured Labeled Drug' containment reference.
`POCDMT000040Material` | `getManufacturedMaterial()` Returns the value of the 'Manufactured Material' containment reference.
`POCDMT000040Organization` | `getManufacturerOrganization()` Returns the value of the 'Manufacturer Organization' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetClassCode()` Returns whether the value of the '`Class Code`' attribute is set.
`void` | `setClassCode(RoleClassManufacturedProduct value)` Sets the value of the '`Class Code`' attribute.
`void` | `setManufacturedLabeledDrug(POCDMT000040LabeledDrug value)` Sets the value of the '`Manufactured Labeled Drug`' containment reference.
`void` | `setManufacturedMaterial(POCDMT000040Material value)` Sets the value of the '`Manufactured Material`' containment reference.
`void` | `setManufacturerOrganization(POCDMT000040Organization value)` Sets the value of the '`Manufacturer Organization`' containment reference.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetClassCode()` Unsets the value of the '`Class Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ManufacturedProduct_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040ManufacturedProduct_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ManufacturedProduct_TemplateId()`

### getId

    org.eclipse.emf.common.util.EList getId()

  Returns the value of the 'Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ManufacturedProduct_Id()`

### getManufacturedLabeledDrug

    POCDMT000040LabeledDrug getManufacturedLabeledDrug()

  Returns the value of the 'Manufactured Labeled Drug' containment reference.

  If the meaning of the 'Manufactured Labeled Drug' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Manufactured Labeled Drug' containment reference.
  See Also:
    `setManufacturedLabeledDrug(POCDMT000040LabeledDrug)`, `CDAR2Package.getPOCDMT000040ManufacturedProduct_ManufacturedLabeledDrug()`

### setManufacturedLabeledDrug

    void setManufacturedLabeledDrug(POCDMT000040LabeledDrug value)

  Sets the value of the '`Manufactured Labeled Drug`' containment reference.

  Parameters:
    `value` - the new value of the 'Manufactured Labeled Drug' containment reference.
  See Also:
    `getManufacturedLabeledDrug()`

### getManufacturedMaterial

    POCDMT000040Material getManufacturedMaterial()

  Returns the value of the 'Manufactured Material' containment reference.

  If the meaning of the 'Manufactured Material' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Manufactured Material' containment reference.
  See Also:
    `setManufacturedMaterial(POCDMT000040Material)`, `CDAR2Package.getPOCDMT000040ManufacturedProduct_ManufacturedMaterial()`

### setManufacturedMaterial

    void setManufacturedMaterial(POCDMT000040Material value)

  Sets the value of the '`Manufactured Material`' containment reference.

  Parameters:
    `value` - the new value of the 'Manufactured Material' containment reference.
  See Also:
    `getManufacturedMaterial()`

### getManufacturerOrganization

    POCDMT000040Organization getManufacturerOrganization()

  Returns the value of the 'Manufacturer Organization' containment reference.

  If the meaning of the 'Manufacturer Organization' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Manufacturer Organization' containment reference.
  See Also:
    `setManufacturerOrganization(POCDMT000040Organization)`, `CDAR2Package.getPOCDMT000040ManufacturedProduct_ManufacturerOrganization()`

### setManufacturerOrganization

    void setManufacturerOrganization(POCDMT000040Organization value)

  Sets the value of the '`Manufacturer Organization`' containment reference.

  Parameters:
    `value` - the new value of the 'Manufacturer Organization' containment reference.
  See Also:
    `getManufacturerOrganization()`

### getClassCode

    RoleClassManufacturedProduct getClassCode()

  Returns the value of the 'Class Code' attribute. The default value is `"MANU"`. The literals are from the enumeration `RoleClassManufacturedProduct`.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `RoleClassManufacturedProduct`, `isSetClassCode()`, `unsetClassCode()`, `setClassCode(RoleClassManufacturedProduct)`, `CDAR2Package.getPOCDMT000040ManufacturedProduct_ClassCode()`

### setClassCode

    void setClassCode(RoleClassManufacturedProduct value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `RoleClassManufacturedProduct`, `isSetClassCode()`, `unsetClassCode()`, `getClassCode()`

### unsetClassCode

    void unsetClassCode()

  Unsets the value of the '`Class Code`' attribute.

  See Also:
    `isSetClassCode()`, `getClassCode()`, `setClassCode(RoleClassManufacturedProduct)`

### isSetClassCode

    boolean isSetClassCode()

  Returns whether the value of the '`Class Code`' attribute is set.

  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `unsetClassCode()`, `getClassCode()`, `setClassCode(RoleClassManufacturedProduct)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040ManufacturedProduct_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD